#include <stdio.h>
#include <conio.h>

int main(void)
{
	int N, K, i, n;
	
	scanf("%d %d", &N, &K);
	
	int spil[N];
	for (i = 0; i < N; i++)
	{
		scanf("%d", &spil[i]);	
	}	
	
	for (i = 0; i < N; i++)
	{
		if (spil[i] == K)
			n = i;
	}	
	
	if (n == N - 1)
		printf("%d", spil[0]);
	else
		printf("%d", spil[n + 1]);
	
	return 0;
}